# $Revision: 1.23 $, $Date: 2002/08/05 11:26:07 $
Summary:	Ogg Bitstream Library
Summary(pl):	Biblioteka obsugi strumieni bitowych Ogg
Summary(pt_BR):	Biblioteca libogg
Name:		libogg
Version:	1.0
Release:	3
Epoch:		2
License:	BSD
Vendor:		Xiphophorus <team@xiph.org>
Group:		Libraries
Source0:	http://www.xiph.org/ogg/vorbis/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_fixes.patch
URL:		http://www.xiph.org/ogg/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libogg0

%description
Libogg is a library for manipulating ogg bitstreams. It handles both
making ogg bitstreams and getting packets from ogg bitstreams.

%description -l pl
Libogg jest bibliotek do manipulacji strumieniami bitowymi ogg.
Obsuguje ona zarwno tworzenie strumieni jak i uzyskiwanie pakietw
ze strumieni.

%description -l pt_BR
Ogg e' uma familia de diversos projetos de multimdia e processamento
de sinais. libogg  a biblioteca do formato de codec bitstream para o
codec Vorbis, formando o encoder/decoder de udio Ogg Vorbis.

%package devel
Summary:	Ogg Bitstream Library Development
Summary(pl):	Pliki nagwkowe i dokumentacja developerska
Summary(pt_BR):	Bibliotecas para desenvolvimento com o Ogg Vorbis
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libogg0-devel

%description devel
The libogg-devel package contains the header files and documentation
needed to develop applications with libogg.

%description devel -l pl
Pliki nagwkowe i dokumentacja potrzebna do rozwijania aplikacji
uywajcych biblioteki libogg.

%description devel -l pt_BR
Bibliotecas e arquivos de incluso para desenvolvimento com o Ogg
Vorbis.

%package static
Summary:	Ogg Bitstream Static Library
Summary(pl):	Biblioteka statyczna Ogg
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com o Ogg Vorbis
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
The libogg-static package contains the static libraries of libogg.

%description static -l pl
Statyczna biblioteka libogg.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com o Ogg Vorbis.

%prep
%setup -q
%patch0 -p1

%build
rm missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

find doc -name Makefile\* -exec rm -f {} \;

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc COPYING AUTHORS CHANGES README doc/*.{html,png} doc/ogg/
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/ogg
%{_aclocaldir}/ogg.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libogg.spec,v $
Revision 1.23  2002/08/05 11:26:07  malekith
- license is BSD not LGPL
- include COPYING file

Revision 1.22  2002/07/21 17:31:02  kloczek
- release 2.

Revision 1.21  2002/07/21 12:00:53  wrobell
- remove all make files from documentation directories

Revision 1.20  2002/07/20 15:31:31  wrobell
- epoch 2

Revision 1.19  2002/07/20 15:25:51  wrobell
- ver. 1.0

Revision 1.18  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2002/01/02 23:51:51  kloczek
- merge translations from Conectiva and adapterize spec file.

Revision 1.11  2002/01/02 23:32:25  kloczek
- release 1.0rc3 (bug fix release).

Revision 1.10  2002/01/02 15:56:33  kloczek
- release 2: libogg0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.9  2001/08/15 18:37:16  kloczek
- updated to 1.0rc2.

Revision 1.8  2001/06/27 10:11:55  misiek
- updated to 1.0rc1

Revision 1.7  2001/04/30 16:57:27  kloczek
- release 2.

Revision 1.6  2001/04/30 16:35:27  qboosh
- moved *.la to devel

Revision 1.5  2001/04/30 01:29:40  kloczek
- release 1.

Revision 1.4  2001/04/29 10:17:46  misiek
added Epoch: 1

Revision 1.3  2001/04/28 21:53:37  misiek
updated to 1.0beta4

Revision 1.2  2000/10/31 23:05:11  kloczek
- rewrited to be compliant with PLD cofing syle,
- added ac_fixes with remomove CFAGS manipulations on ac level.

Revision 1.1  2000/10/29 15:59:15  pascalek
- initial release
